> Documentation index for AI agents: https://docs.pagerduty.com/llms.txt

# List Team Notification Subscriptions

`GET https://api.pagerduty.com/teams/{id}/notification_subscriptions`

Retrieve a list of Notification Subscriptions the given Team has.

<!-- theme: warning -->
> Teams must be added through `POST /teams/{id}/notification_subscriptions` to be returned from this endpoint.

Scoped OAuth requires: `subscribers.read`

## Authorization

- **api_key** (apiKey) — `Authorization` header. The API Key with format `Token token=<API_KEY>`

## Path parameters

| Name | Type | Required | Description |
|---|---|---|---|
| `id` | string | yes | The ID of the resource. |

## Header parameters

| Name | Type | Required | Description |
|---|---|---|---|
| `Accept` | string | yes | The `Accept` header is used as a versioning header. Default: `application/vnd.pagerduty+json;version=2`. |

## Response 200

OK

### `application/json`

| Field | Type | Required | Description |
|---|---|---|---|
| `offset` | integer |  | Echoes offset pagination property. Read-only. |
| `limit` | integer |  | Echoes limit pagination property. Read-only. |
| `more` | boolean |  | Indicates if there are additional records to return. Read-only. |
| `total` | integer \| null |  | The total number of records matching the given query. Read-only. |
| `subscriptions` | array of object | yes |  |
| `subscriptions[].subscription` | object |  | An object describing the relationship of a NotificationSubscriber and a NotificationSubscribable. |
| `subscriptions[].subscription.subscriber_id` | string |  | The ID of the entity being subscribed. |
| `subscriptions[].subscription.subscriber_type` | string |  | The type of the entity being subscribed. One of: `user`, `team`. |
| `subscriptions[].subscription.subscribable_id` | string |  | The ID of the entity being subscribed to. |
| `subscriptions[].subscription.subscribable_type` | string |  | The type of the entity being subscribed to. One of: `incident`, `business_service`. |
| `subscriptions[].subscription.account_id` | string |  | The ID of the account belonging to the subscriber entity. |
| `subscriptions[].subscribable_name` | string \| null |  | The name of the subscribable. |

Example: Response Example

```json
{
  "subscriptions": [
    {
      "subscription": {
        "subscriber_id": "PD1234",
        "subscriber_type": "team",
        "subscribable_id": "PD1234",
        "subscribable_type": "incident",
        "subscribable_name": null,
        "account_id": "PD1234"
      }
    },
    {
      "subscription": {
        "subscriber_id": "PD1234",
        "subscriber_type": "team",
        "subscribable_id": "PD1234",
        "subscribable_type": "business_service",
        "subscribable_name": "Online Payment",
        "account_id": "PD1234"
      }
    }
  ],
  "limit": 2,
  "offset": 0,
  "total": 1000,
  "more": true
}
```

## Response 400

Caller provided invalid arguments. Please review the response for error details. Retrying with the same arguments will *not* work.

### `application/json`

| Field | Type | Required | Description |
|---|---|---|---|
| `error` | object |  |  |
| `error.code` | integer |  | Read-only. |
| `error.message` | string |  | Error message string. Read-only. |
| `error.errors` | array of string |  | Read-only. |

## Response 401

Caller did not supply credentials or did not provide the correct credentials.
If you are using an API key, it may be invalid or your Authorization header may be malformed.

### `application/json`

| Field | Type | Required | Description |
|---|---|---|---|
| `error` | object |  |  |
| `error.code` | integer |  | Read-only. |
| `error.message` | string |  | Error message string. Read-only. |
| `error.errors` | array of string |  | Read-only. |

## Response 403

Caller is not authorized to view the requested resource.
While your authentication is valid, the authenticated user or token does not have permission to perform this action.

### `application/json`

| Field | Type | Required | Description |
|---|---|---|---|
| `error` | object |  |  |
| `error.code` | integer |  | Read-only. |
| `error.message` | string |  | Error message string. Read-only. |
| `error.errors` | array of string |  | Read-only. |

## Response 404

The requested resource was not found.

### `application/json`

| Field | Type | Required | Description |
|---|---|---|---|
| `error` | object |  |  |
| `error.code` | integer |  | Read-only. |
| `error.message` | string |  | Error message string. Read-only. |
| `error.errors` | array of string |  | Read-only. |

## Response 429

Too many requests have been made, the rate limit has been reached.

### `application/json`

| Field | Type | Required | Description |
|---|---|---|---|
| `error` | object |  |  |
| `error.code` | integer |  | Read-only. |
| `error.message` | string |  | Error message string. Read-only. |
| `error.errors` | array of string |  | Read-only. |

## Developer Agreement

Your access to and use of the PagerDuty Developer Services is governed by the [PagerDuty Developer Agreement](https://docs.pagerduty.com/developer/pagerduty-developer-agreement).
